UUIDD(8)

BEZEICHNUNG
uuidd - UUID-Erzeugungs-Daemon

ÜBERSICHT
uuidd [Optionen]

BESCHREIBUNG
Der uuidd-Daemon wird von der UUID-Bibliothek zum Erzeugen von »Universally Unique Identifiers« (UUIDs) verwendet, insbesondere zeitbasierter UUIDs, und zwar auf eine sichere und garantiert eindeutige Art, selbst im Hinblick auf große Anzahlen laufender Threads auf verschiedenen CPUs, die versuchen, UUIDs zu erhalten.

OPTIONEN

-d, --debug
    führt Uuidd im Fehlersuchmodus aus. Das verhindert, dass Uuidd als Daemon ausgeführt wird.

-F, --no-fork
    daemonisiert nicht (über einen Doppel-Fork).

-k, --kill
    tötet einen laufenden UUIDD-Daemon.

-n, --uuids Zahl
    erbittet eine Gesamtantwort, bestehend aus der Anzahl UUIDs, wenn eine Testabfrage eines laufenden Uuidd ausgegeben wird.

-P, --no-pid
    erzeugt keine PID-Datei (Prozesskennung).

-p, --pid Pfad
    gibt den Pfadnamen an, wohin die PID-Datei geschrieben werden soll. Standardmäßig ist dies /run/uuidd/uuidd.pid.

-q, --quiet
    unterdrückt einige Fehlermeldungen.

-r, --random
    testet Uuidd, indem versucht wird, zu einem laufenden Uuidd-Daemon zu verbinden und angefragt wird, eine zufallsbasierte UUIDD zurückzugeben.

-S, --socket-activation
    erzeugt keinen Socket, sondern erwartet, das dieser vom aufrufenden Prozess bereitgestellt wird. Dies impliziert --no-fork und --no-pid. Diese Option ist ausschließlich zur Verwendung mit systemd(1) gedacht. Sie muss durch eine Configure-Option aktiviert werden.

-s, --socket Pfad
    veranlasst Uuidd, diesen Pfadnamen für den Unix-Domain-Socket zu verwenden. Standardmäßig wird der Pfadname /run/uuidd/request verwendet. Diese Option ist primär für Fehlersuchzwecke gedacht, da der Pfadname in der Libuuid-Bibliothek fest kodiert ist.

-T, --timeout Anzahl
    bewirkt, dass Uuidd nach der angegebenen Anzahl Sekunden Inaktivität beendet wird.

-t, --time
    testet Uuidd, indem versucht wird, zu einem laufenden Uuidd-Daemon zu verbinden und angefragt wird, eine zeitbasierte UUIDD zurückzugeben.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm.

-h, --help
    zeigt die Hilfe an und beendet das Programm.

BEISPIEL
Einen Daemon starten, 42 zufällige Schlüssel ausgeben und den Daemon anschließend beenden:

    uuidd -p /tmp/uuidd.pid -s /tmp/uuidd.socket
    uuidd -d -r -n 42 -s /tmp/uuidd.socket
    uuidd -d -k -s /tmp/uuidd.socket

AUTOR
Der uuidd-Daemon wurde von Theodore Ts'o <tytso@mit.edu> geschrieben.

SIEHE AUCH
uuid(3), uuidgen(1)

VERFÜGBARKEIT
Der Daemon »uuidd« ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/) heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.